%global drupaldir %{_datadir}/drupal7

Name:    drupal7-advanced_help
Version: 1.1
Release: 1%{?dist}
Summary: Allows module developers to store their help outside the module system in html

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/advanced_help
Source0: http://ftp.drupal.org/files/projects/advanced_help-7.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7

%description
The advanced help module allows module developers to store their help
outside the module system, in pure .html files. The files can be easily
translated simply by copying them into the right translations directory.
The entire system can appear in a pop-up or not as the module prefers.

%prep

%setup -qn advanced_help

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/advanced_help
cp -pr * %{buildroot}%{drupaldir}/modules/advanced_help

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt
%{drupaldir}/modules/advanced_help
%exclude %{drupaldir}/modules/advanced_help/*.txt

%changelog
* Fri Dec 13 2013 Jared Smith <jsmith@fedoraproject.org> - 1.1-1
- New upstream 1.1 release
- Upstream changelog at https://drupal.org/node/2155509

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- New upstream version.

* Tue Oct 18 2011 Peter Borsa <peter.borsa@gmail.com> - 1.0-0.1.beta1
- Initial packaging.


